<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateBotanicGenresTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('botanic_genres', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('family_id')->nullable();
            $table->string('name', 50)->nullable();
            $table->string('alias', 50)->nullable();
            $table->string('latin', 50)->nullable();
            $table->text('description', 65535)->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('botanic_genres');
    }
}
